%ifnarch x86_64 ia64 ppc64
%define __libtoolize :
%endif
%global momorel 1

Summary: Library for playing MOD music
Name: libmikmod
Version: 3.1.11
Release: %{momorel}m%{?dist}
License: LGPL
Group: System Environment/Libraries
URL: http://mikmod.raphnet.net/
Source0: http://mikmod.raphnet.net/files/%{name}-%{version}.tar.gz
Patch0:  http://mikmod.raphnet.net/files/%{name}-%{version}-a.diff
Patch3:  libmikmod-3.1.11-64bit.patch
Patch10: libmikmod-3.1.10-lib64.patch
Patch12: libmikmod-3.1.11-strip-lib.patch
Patch13: libmikmod-3.1.11-esd.patch

PreReq: info
Prefix:	/usr
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
A portable sound library for Unix and other systems, capable of playing samples
as well as module files, on a wide range of sound devices.

%package devel
Summary: Libraries and include files to develop libmikmod applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and include files to develop libmikmod applications.


%prep
rm -rf %{buildroot}
%setup -q
%patch0 -p1
%patch3 -p1 -b .64bit~
%if %{_lib} == "lib64"
%patch10 -p1 -b .lib64~
%endif
%patch12 -p1 -b .lib-strip~
%patch13 -p1 -b .esd~

%build
#CFLAGS="%{optflags}" ./configure --prefix=%{prefix}
%configure
%ifarch x86_64 ia64 ppc64
make LIBTOOL=%{_bindir}/libtool
%else
%make
%endif

%install
%ifarch x86_64 ia64 ppc64
%makeinstall LIBTOOL=%{_bindir}/libtool
%else
%makeinstall
%endif
#make install prefix=%{buildroot}/%{prefix}
rm -f %{buildroot}%{_infodir}/dir

find %{buildroot} -name "*.la" -delete

%clean
rm -fr %{buildroot}


%post
/sbin/ldconfig
%post devel
/sbin/install-info %{_infodir}/mikmod.info.* %{_infodir}/dir

%postun 
/sbin/ldconfig
%postun devel
if [ $1 = 0 ] ; then
	/sbin/install-info  --delete %{_infodir}/mikmod.info.* %{_infodir}/dir
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB COPYING.LESSER INSTALL NEWS README TODO
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/libmikmod-config
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_mandir}/man1/*
%{_infodir}/mikmod*
%{_datadir}/aclocal/*
%{_includedir}/*

%changelog
* Mon May 28 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.1.11-1m)
- update to 3.1.11

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.10-11m)
- delete libtool library

* Sun Oct 16 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.1.10-10m)
- enable ia64, ppc64

* Fri May 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.10-9m)
- suppress AC_DEFUN warning.

* Mon Jan 24 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.1.10-8m)
- libmikmod-3.1.10-64bit.patch from fc3.

* Sun Jan 23 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.1.10-7m)
- enable x86_64.
  use %{_libdir}.
  use %{_bindir}/libtool for x86_64.

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (3.1.10-6m)
- revised spec for enabling rpm 4.2.

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.10-5m)
- putosource into repository

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.1.10-4k)

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.1.10-2k)
- update to 3.1.10
  update source URL

* Mon Dec 04 2000 Kenichi Matsubara <m@kondara.org>
- [3.1.9-7k]
- bugfix %post %postun.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Tue Feb 15 2000 Yuichiro Orino <yuu_@pop21.odn.ne.jp>
- update to 3.1.9

* Fri Dec 18 1999 Yuichiro Orino <yuu_@pop21.odn.ne.jp>
- devide from mikmod package

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon Aug  2 1999 Bill Nottingham <notting@redhat.com>
- add more patches

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 3.1.6/3.1.7

* Mon Mar 22 1999 Cristian Gafton <gafton@redhat.com>
- fixed spec file description and group according to sepcspo

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- changed spec file, updated package
- added libmikmod to the package

* Mon Feb 15 1999 Miodrag Vallat <miodrag@multimania.com>
- Created for 3.1.5

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- changed group
- fixed bug #145

* Fri Sep 04 1998 Michael Maher <mike@redhat.com>
- added patch for alpha

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- built package; obsoletes the ancient tracker program.

